diff --git a/Makerules b/Makerules
index fc9bf998..f1fd93cb 100644
--- a/Makerules
+++ b/Makerules
@@ -113,10 +113,11 @@ else ifeq ($(OS),Linux)
 	SYS_ZLIB_LIBS := $(shell pkg-config --libs zlib)
   endif
 
-  HAVE_CURL := $(shell pkg-config --exists libcurl && echo yes)
+  HAVE_CURL ?= not-unless-portage-tells-me
   ifeq ($(HAVE_CURL),yes)
 	SYS_CURL_CFLAGS := $(shell pkg-config --cflags libcurl)
-	SYS_CURL_LIBS := $(shell pkg-config --libs libcurl)
+    # We have to forcibly add -lpthread to avoid linking errors.
+	SYS_CURL_LIBS := $(shell pkg-config --libs libcurl) -lpthread
   endif
 
   HAVE_GLUT := yes
@@ -125,13 +126,14 @@ else ifeq ($(OS),Linux)
 	SYS_GLUT_LIBS := -lglut -lGL
   endif
 
-  HAVE_X11 := $(shell pkg-config --exists x11 xext && echo yes)
+  HAVE_X11 ?= not-unless-portage-tells-me
   ifeq ($(HAVE_X11),yes)
 	X11_CFLAGS := $(shell pkg-config --cflags x11 xext)
 	X11_LIBS := $(shell pkg-config --libs x11 xext)
   endif
 
-  HAVE_LIBCRYPTO := $(shell pkg-config --exists 'libcrypto >= 1.1.0' && echo yes)
+  
+  HAVE_LIBCRYPTO ?= not-unless-portage-tells-me
   ifeq ($(HAVE_LIBCRYPTO),yes)
 	LIBCRYPTO_CFLAGS := $(shell pkg-config --cflags libcrypto) -DHAVE_LIBCRYPTO
 	LIBCRYPTO_LIBS := $(shell pkg-config --libs libcrypto)
